Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598514 - [RFE] Set owner/group/umask for /etc/pki/entitlement/ certs
Summary: [RFE] Set owner/group/umask for /etc/pki/entitlement/ certs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subscription-manager
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Chris Snyder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-05 17:06 UTC by Pat Riehecky
Modified: 2018-11-15 02:28 UTC (History)
4 users (show)

Fixed In Version: subscription-manager-1.24.2-1.fc27 subscription-manager-1.24.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 02:12:51 UTC


Attachments (Terms of Use)

Description Pat Riehecky 2018-07-05 17:06:27 UTC
Description of problem:
I'd like to permit users with the wheel group to read the certs so that they can perform up to date yum/dnf queries.  On my system users in the wheel group also have sudo access so permitting read of these files doesn't impact their security.

Version-Release number of selected component (if applicable):
subscription-manager-1.21.5

How reproducible:
100%

Steps to Reproduce:
1. sudo chown root:wheel /etc/pki/entitlement/*.pem
2. sudo chmod 640 /etc/pki/entitlement/*.pem
3. sudo subscription-manager refresh
4. ls -l /etc/pki/entitlement/*.pem

Actual results:
Certs are set back to root:root 600

Expected results:
A setting in /etc/rhsm.conf where I can specify the expected certificate permissions.

Additional info:

Comment 1 Fedora Update System 2018-11-05 22:55:37 UTC
subscription-manager-1.24.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 2 Fedora Update System 2018-11-05 22:56:14 UTC
subscription-manager-1.24.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 3 Fedora Update System 2018-11-05 22:56:57 UTC
subscription-manager-1.24.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 4 Fedora Update System 2018-11-06 22:02:10 UTC
subscription-manager-1.24.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-075821dc8f

Comment 5 Fedora Update System 2018-11-06 22:46:01 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91ba32a0ff

Comment 6 Fedora Update System 2018-11-06 23:28:37 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a675aa39fc

Comment 7 Fedora Update System 2018-11-15 02:12:51 UTC
subscription-manager-1.24.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-11-15 02:28:58 UTC
subscription-manager-1.24.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.